## ruby-cutest 1.2.3

=== Makefile ===
TESTS=$(shell ls test/*.rb)

test:
	ruby -W2 bin/cutest $(TESTS)

.PHONY: test

## ruby-cutest 1.2.0

=== debian/changelog ===
ruby-cutest (1.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #638829)
  * fix failing tests, patch by srihari
  * add manpage for cutest.

 -- Praveen Arimbrathodiyil <praveen@debian.org>  Mon, 22 Aug 2011 18:29:19 +0530

=== debian/control ===
Source: ruby-cutest
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Praveen Arimbrathodiyil <praveen@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.8~)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-ruby-extras/ruby-cutest.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-cutest.git;a=summary
Homepage: http://github.com/djanowski/cutest
XS-Ruby-Versions: ruby1.9.1

Package: ruby-cutest
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby1.9.1 
Description: Run ruby tests independantly
 Cutest run tests in separate processes to avoid shared state.
 Once a failure  is found, you get a report detailing what failed
 and how to locate the  error and the rest of the file is skipped.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby

build:
	dh build --buildsystem=ruby --with ruby
	pod2man  --section=1 --release="cutest-1.1.2" \
	  --center="Debian GNU System" debian/cutest.1.pod \
	  >debian/cutest.1

clean:
	dh clean --buildsystem=ruby --with ruby
	if [ -f debian/cutest.1 ]; then rm debian/cutest.1; fi

## ruby-cutest 1.2.1

=== debian/changelog ===
ruby-cutest (1.2.1-2) unstable; urgency=low

  * drop ruby 1.9 from runtime deps as well. 

 -- Pirate Praveen <praveen@debian.org>  Mon, 07 Apr 2014 15:53:56 +0530

ruby-cutest (1.2.1-1) unstable; urgency=low

  * New upstream release (refresh patches)
  * Bump gem2deb build-dep to 0.7.4~
  * Build for all ruby versions
  * Bump standards version to 3.9.5 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Thu, 03 Apr 2014 17:33:57 +0530

=== debian/control ===
Source: ruby-cutest
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.7.4~)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-cutest.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/ruby-cutest.git;a=summary
Homepage: http://github.com/djanowski/cutest
XS-Ruby-Versions: all

Package: ruby-cutest
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter 
Description: Run ruby tests independantly
 Cutest run tests in separate processes to avoid shared state.
 Once a failure  is found, you get a report detailing what failed
 and how to locate the  error and the rest of the file is skipped.

## ruby-cutest 1.2.3

=== debian/changelog ===
ruby-cutest (1.2.3-1) unstable; urgency=medium

  [ Giacomo Paviano ]
  * Team upload
  * New upstream version 1.2.3
  * removed ruby-interpreter from build dependency
  * removed patches

  [ Cédric Boutillier ]
  * Bump debhelper compatibility level to 9
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Apply multi-arch hints.
    + ruby-cutest: Add :any qualifier for ruby dependency.
  * Update watch file format version to 4.
  * Remove overrides for lintian tags that are no longer supported.


 -- Giacomo Paviano <pavianogiacomo@gmail.com>  Sat, 19 Jul 2025 11:21:01 +0200

=== debian/control ===
Source: ruby-cutest
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 12),
               gem2deb
Standards-Version: 3.9.7
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-cutest.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-cutest
Homepage: https://github.com/djanowski/cutest
XS-Ruby-Versions: all

Package: ruby-cutest
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby:any,
	 ${ruby:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Run ruby tests independantly
 Cutest run tests in separate processes to avoid shared state.
 Once a failure  is found, you get a report detailing what failed
 and how to locate the  error and the rest of the file is skipped.

=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,3 @@
 clean:
 	dh clean --buildsystem=ruby --with ruby
 	if [ -f debian/cutest.1 ]; then rm debian/cutest.1; fi
-

=== debian/watch ===
version=4
https://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/cutest .*/cutest-(.*).tar.gz
